@Jonathan_Hutchinson1 wrote:
import rhinoscriptsyntax as rs section = rs.GetObjects() guids = [rs.CurvePoints(crv, segment_index=-1) for crv in section] pt1 = guids [0] [0] pt2 = guids [0] [1] pt3 = guids [0] [2] print guids [0] [0] print guids [0] [1] print guids [0] [2] points = [pt1, pt2, pt3] rs.AddPoints(points) plane = rs.PlaneFitFromPoints(points) print plane print plane [0] print plane [1] if plane: rs.AddPlaneSurface( plane, 50, 50)
I’m trying to do a script which will take some section curves, fit a plane through them, and then remap the objects from that plane to a cplane of choice.
When I PlaneFitfromPoints, and add the plane surface, the origin of the resulting plane seems to be random.
See on the left the points that were used for the PlaneFit.
My alternative idea is maybe to do something with selecting the grips and then
rs.Command
PlaneThroughPt from Rhino.
Posts: 1
Participants: 1